Subject: Re: mmotm 2019-08-27-20-39 uploaded (sound/hda/intel-nhlt.c)

From: Pierre-Louis Bossart <[email-masked]>
Date: Wed, 28 Aug 2019 17:45:05 -0500

>>> I just checked with Mark Brown's for-next tree 
>>> 8aceffa09b4b9867153bfe0ff6f40517240cee12
>>> and things are fine in i386 mode, see below.
>>>
>>> next-20190828 also works fine for me in i386 mode.
>>>
>>> if you can point me to a tree and configuration that don't work I'll 
>>> look into this, I'd need more info to progress.
>>
>> Please try the attached randconfig file.
>>
>> Thanks for looking.
> 
> Ack, I see some errors as well with this config. Likely a missing 
> dependency somewhere, working on this now.

My bad, I added a fallback with static inline functions in the .h file 
when ACPI is not defined, but the .c file was still compiled.

The diff below makes next-20190828 compile with Randy's config.

It looks like the alsa-devel server is down btw?

diff --git a/sound/hda/Makefile b/sound/hda/Makefile
index 8560f6ef1b19..b3af071ce06b 100644
--- a/sound/hda/Makefile
+++ b/sound/hda/Makefile
@@ -14,5 +14,7 @@ obj-$(CONFIG_SND_HDA_CORE) += snd-hda-core.o
  #extended hda
  obj-$(CONFIG_SND_HDA_EXT_CORE) += ext/

+ifdef CONFIG_ACPI
  snd-intel-nhlt-objs := intel-nhlt.o
  obj-$(CONFIG_SND_INTEL_NHLT) += snd-intel-nhlt.o
+endif